Firefox hangs or quits when viewing Flash content [@ NPSWF32.dll@0x1b9cf9]

RESOLVED INCOMPLETE

Status

--
critical
RESOLVED INCOMPLETE
9 years ago
2 years ago

People

(Reporter: kvartirka, Unassigned)

Tracking

({crash, hang})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature, URL)

Attachments

(3 attachments)

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.11) Gecko/2009060215 Firefox/3.0.11 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.11) Gecko/2009060215 Firefox/3.0.11 (.NET CLR 3.5.30729)

Firefox hangs when viewing Flash content (youtube videos, myspace music player)

The CPU usage goes up to 60% using 864MB memory. Not able to do anything else
until Firefox app is killed.

In some cases, the app quits at once.

Specs: Firefox 3.0.11, Windows Vista Home

Steps:
1. Start Firefox, open multiple tabs (yahoo mail, google news, etc)
2. Go to Myspace page: myspace.com/ksenia_vesennaya
3. Hit play on Myspace music player (play list) or photo slide show
Note: the more songs you play, the worse the CPU usage gets

Result: Firefox hags taking up too much memory and CPU to do anything else
Example: Opening this bug after playing 3 songs on myspace in another tab took
2 minutes

Reproducible: Sometimes

Steps to Reproduce:
1. Start Firefox, open multiple tabs (yahoo mail, google news, etc)
2. Go to Myspace page: myspace.com/ksenia_vesennaya
3. Hit play on Myspace music player (play list) or photo slide show

Note: the more songs you play, the worse the CPU usage gets
Actual Results:  
Result: Firefox hags taking up too much memory and CPU to do anything else
Result 2: Firefox quits, windows produces this crash report:

Add-ons: {CF40ACC5-E1BB-4aff-AC72-04C2F616BCA7}:1.5.2.35,{20a82645-c095-46ed-80e3-08825760534b}:1.0,{635abd67-4fe9-1b23-4f01-e679fa7484c1}:1.5.1.20080205,{972ce4c6-7e08-4474-a285-3208198ce6fd}:3.0.11
BuildID: 2009060215
CrashTime: 1246337773
InstallTime: 1245020224
ProductName: Firefox
SecondsSinceLastCrash: 3547064
StartupTime: 1246308534
Theme: classic/1.0
URL: http://www.youtube.com/profile?migrated=1#play/all/uploads-all/1/wE-DhfOnaxs
Vendor: Mozilla
Version: 3.0.11

This report also contains technical information about the state of the application when it crashed.

Expected Results:  
work without taking up more than 15% CPU,
continue to load videos, music without crashing

this has previously been added to existing bug #500237, but then removed and made into a new bug per Henrik Skupin's request.
Do you have a breakpad id? Type about:crashes in the url bar and copy/paste those values into this bug.
Keywords: crash, hang
Make sure you try in Firefox Safe Mode. What version of Flash are you running?
(Reporter)

Comment 3

9 years ago
Report ID      	Date Submitted
      
96e473ec-4adc-4c95-ad83-ee5fb2090629	6/29/2009	9:57 PM

Not using safe mode, Flash Player Version 8
OK, you REALLY need to upgrade your flash. It is at version 10 now, and offers many fixes for just this sort of thing. Please go to http://get.adobe.com/flashplayer/, and report back when you have updated.
Are you sure it is version 8? As what the crash report states it is:
NPSWF32.dll  	10.0.22.87

We need someone with an account on myspace to check this. Oksana, or can you reproduce this issue on other sites like youtube...?

Comment 6

9 years ago
I can't reproduce the myspace page provided here using flash 10.0.22.87
(Reporter)

Comment 7

9 years ago
No, I'm not sure. Maybe it was 10. Let me try again after I ran the update.
The crash report in this ticket is from youtube. See URL part.
The URL is hidden in terms of your privacy. So if it still crash after a possible update it would be great if you can find steps without myspace involved. Thanks for your time! Moving this bug over to core/plugins
Status: UNCONFIRMED → NEW
Component: General → Plug-ins
Ever confirmed: true
Product: Firefox → Core
QA Contact: general → plugins
Summary: Firefox hangs or quits when viewing Flash content → Firefox hangs or quits when viewing Flash content [@ NPSWF32.dll@0x1b9cf9]
Version: unspecified → 1.9.0 Branch

Updated

9 years ago
Duplicate of this bug: 502327

Comment 10

9 years ago
Just reproduced it with the most recent version of Flash (10.0.22.87).
Crashreport: ae92811f-0759-4235-bc2a-7540d2090704
URL: http://www.youtube.com/user/smalin#play/user/81D26D4A47388279
How to reproduce: wait for the video to start, then click in the right column on Bach and click Bach, Toccata and Fugue in D minor
FireFox hangs for a moment and then crashes.

Comment 11

9 years ago
Remko, I tried, but I can not reproduce it. What is your screen resolution?

In Bug 500103 I succeeded to reproduce something at a very specific size.
Of course, this could be entirely different.

Lucas

Comment 12

9 years ago
I have been looking to the top crash sites, and I found the following rather easy to reproduce:

http://www.crazyprofile.com/water_effect/water_effect.asp

Select an image and play it little bit with it. Don't scroll down immediately. Wait a while.

After a minute, scroll down. Bang! I managed to crash it 3 times:

538e3eef-fc7f-40a9-a113-fb9e72090704	5-7-2009	0:37
8c5686fc-f982-46d5-a430-46a4b2090704	5-7-2009	0:26
ffcc3cb3-f3b7-45f9-8b46-e89162090704	5-7-2009	0:26

It is not the exact signature, but I assume it is the same. Same function, same complaint, crashing Flash.

Can someone else try to reproduce this one?

If other people can not crash it, I will look if I can get a stack trace or something like that.

Lucas

Comment 13

9 years ago
It is even worse. You don't need to select an image. Just wait until everything is loaded, before scrolling down.

I managed additional crashes:
57ce6043-257c-46ce-a677-fde5b2090704	5-7-2009	0:52
91e82746-987a-4633-af1f-7c1432090704	5-7-2009	0:48
b7cc5f3e-6276-4831-94dd-71fef2090704	5-7-2009	0:47
538e3eef-fc7f-40a9-a113-fb9e72090704	5-7-2009	0:37

I disabled all add ons. Still crashes.

Is there a plugin to copy all sources of a page? This crash should be secured.

Lucas

Comment 14

9 years ago
I managed to minimize the crash page:

http://web.inter.nl.net/users/L.B.Kruijswijk/FFflashcrash.html

For this crash, the following things are important:
- The flash animation must be outside the visible screen when loading.
- Scroll down to get the crash.
- The wmode='transparent' parameter is important. When I remove it, it doesn't crash anymore.

As said before, it is a NPSWF32.dll crash, but the crash for above scenario has a different address. Maybe we have to file a different bug for this.

Lucas
Yes, please file a new bug and CC me on it. Thanks.
Oksana, were you able to test again? Can you also please take comment 2 into account? Please run in Safe mode to test if it also crashes your browser. And we really need another STR to reproduce your problem. Please try to find some other public pages where the problem persists for you. Thanks.

Comment 17

9 years ago
Crash with scrolling in Flash is moved to:

bug 502648

Signature: NPSWF32.dll@0x50abd

Updated

9 years ago
Blocks: 503448
(Reporter)

Comment 18

9 years ago
Hi there, sorry, just got back to town, been away.. 
I got another performance issue today while viewing Facebook photos (flash again I believe, and Firefox was not responding for 10 minutes, taking up 74%CPU) - I will file a new bug...

Please provide instructions on how to run Firefox in safe mode.

Note: These cases are not as easy to reproduce following steps exactly, but some sort of performance issue happens every day.
Don't file a new bug. Please comment here with your findings on Facebook.

Safe Mode: http://support.mozilla.com/kb/Safe+Mode
(Reporter)

Comment 20

9 years ago
ok, I am running Firefox in Safe mode and loving it. No problems! Been running the safe mode ever since.

Previously, in Firefox regular mode, Firefox was not responding after the following:

1) Start Firefox
2) Open 3 tabs: Yahoo mail, Facebook, Google search page
3) Browse photos in the album posted on Facebook (5-10 photos)

Result: Firefox Not responding
Note: Reproduced in regular mode twice;
Unable to reproduce in safe mode
oksana, safe mode simply disables extensions (and user made changes, etc.), so it sounds like one of them is causing some problems.
Oksana, so please run Firefox in regular mode again and disable add-ons/themes step by step. That would be the best way to find the responsible extension. Please start with the .net Framework add-on.
(Reporter)

Comment 23

9 years ago
Created attachment 390568 [details]
This is today while playing youtube playlist and viewing photos on facebook
(Reporter)

Comment 24

9 years ago
in comment #23, Firefox is in regular mode, .net add on is disabled, CPU usage is %71 up to 74%... no crashing, but performance is still an issue..
Have you also disabled all the other add-ons?
(Reporter)

Comment 26

9 years ago
Hey I don't think it is the add-ons issue, I think it is a cache issue. I ran the safe mode again and experienced a temporary freeze of Firefox for about 10 minutes. CPU spiked to almost 80% (in safe mode). 

This is after uploading and viewing photos on facebook. I closed Firefox and started it again... and it was still loading slow as if still processing those flash files...
(Reporter)

Comment 27

9 years ago
Problem signature:
  Problem Event Name:	APPCRASH
  Application Name:	firefox.exe
  Application Version:	1.9.0.3474
  Application Timestamp:	4a524f7b
  Fault Module Name:	NPSWF32.dll
  Fault Module Version:	10.0.22.87
  Fault Module Timestamp:	4987a8b1
  Exception Code:	c0000005
  Exception Offset:	00053990
  OS Version:	6.0.6001.2.1.0.768.3
  Locale ID:	1033
  Additional Information 1:	fd00
  Additional Information 2:	ea6f5fe8924aaa756324d57f87834160
  Additional Information 3:	fd00
  Additional Information 4:	ea6f5fe8924aaa756324d57f87834160

Read our privacy statement:
  http://go.microsoft.com/fwlink/?linkid=50163&clcid=0x0409

PS. I'm posting this comment using IE b/c Firefox insists that I restart my computer saying Firefox is already running but not responding ...after the crash.
Oksana, did you get a crash report from our crash reporter? That one will contain much more useful information. Open about:crashes from within Firefox to post the most recent link.

To get Firefox starting again please check your profile. Is there a profile.lock file still existent? If yes, please delete it and try to start Firefox again.
(Reporter)

Comment 29

9 years ago
Firefox started ok this afternoon (next day) without me deleting any files...

Here is the crash report:

Submitted Crash Reports
Report ID       	Date Submitted
 
96e473ec-4adc-4c95-ad83-ee5fb2090629	6/29/2009	9:57 PM


Firefox 3.0.11 Crash Report [@NPSWF32.dll@0x1b9cf9 ]
Get Help
ID: 96e473ec-4adc-4c95-ad83-ee5fb2090629
Signature: NPSWF32.dll@0x1b9cf9

    * Details
    * Modules
    * Raw Dump

Signature	NPSWF32.dll@0x1b9cf9
UUID	96e473ec-4adc-4c95-ad83-ee5fb2090629
Time 	2009-06-29 21:57:27.996549
Uptime	29239
Last Crash	3547064 seconds before submission
Product	Firefox
Version	3.0.11
Build ID	2009060215
Branch	1.9
OS	Windows NT
OS Version	6.0.6001 Service Pack 1
CPU	x86
CPU Info	AuthenticAMD family 15 model 72 stepping 2
Crash Reason	EXCEPTION_ACCESS_VIOLATION
Crash Address	0x20
User Comments	
Processor Notes 	
Related Bugs

OPEN

        * 501304 NEW Firefox hangs or quits when viewing Flash content [@ NPSWF32.dll@0x1b9cf9]

Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	NPSWF32.dll 	NPSWF32.dll@0x1b9cf9 	
1 	NPSWF32.dll 	NPSWF32.dll@0x1b9e37 	
2 	NPSWF32.dll 	NPSWF32.dll@0x131db 	
3 	NPSWF32.dll 	NPSWF32.dll@0xe8548 	
4 	NPSWF32.dll 	NPSWF32.dll@0xdc531 	

Show/hide other threads
Thread 1
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	nspr4.dll 	_PR_MD_WAIT_CV 	mozilla/nsprpub/pr/src/md/windows/w95cv.c:280
3 	nspr4.dll 	_PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:204
4 	nspr4.dll 	PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:551
5 	xul.dll 	TimerThread::Run 	mozilla/xpcom/threads/TimerThread.cpp:345
6 	xul.dll 	nsThread::ProcessNextEvent 	mozilla/xpcom/threads/nsThread.cpp:510
7 	xul.dll 	NS_ProcessNextEvent_P 	nsThreadUtils.cpp:227
8 		@0x28ffda3 	
Thread 2
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x44910 	
2 	ntdll.dll 	ntdll.dll@0x3e4b5 	
3 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 3
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c64d 	
2 	xul.dll 	nsNotifyAddrListener::Run 	mozilla/netwerk/system/win32/nsNotifyAddrListener.cpp:160
3 	xul.dll 	nsThread::ProcessNextEvent 	mozilla/xpcom/threads/nsThread.cpp:510
4 	xul.dll 	NS_ProcessNextEvent_P 	nsThreadUtils.cpp:227
5 		@0x320fc6b 	
Thread 4
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	nspr4.dll 	_PR_MD_WAIT_CV 	mozilla/nsprpub/pr/src/md/windows/w95cv.c:280
3 	nspr4.dll 	_PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:204
4 	nspr4.dll 	PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:551
5 	xul.dll 	nsSSLThread::Run 	mozilla/security/manager/ssl/src/nsSSLThread.cpp:964
Thread 5
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	nspr4.dll 	_PR_MD_WAIT_CV 	mozilla/nsprpub/pr/src/md/windows/w95cv.c:280
3 	nspr4.dll 	_PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:204
4 	nspr4.dll 	PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:551
5 	xul.dll 	nsCertVerificationThread::Run 	mozilla/security/manager/ssl/src/nsCertVerificationThread.cpp:138
6 	nspr4.dll 	_PR_NativeRunThread 	mozilla/nsprpub/pr/src/threads/combined/pruthr.c:436
7 	nspr4.dll 	pr_root 	mozilla/nsprpub/pr/src/md/windows/w95thred.c:122
8 	mozcrt19.dll 	_callthreadstartex 	threadex.c:348
9 	mozcrt19.dll 	_threadstartex 	threadex.c:326
10 	kernel32.dll 	kernel32.dll@0x44910 	
11 	ntdll.dll 	ntdll.dll@0x3e4b5 	
12 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 6
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	nspr4.dll 	_PR_MD_WAIT_CV 	mozilla/nsprpub/pr/src/md/windows/w95cv.c:280
3 	nspr4.dll 	_PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:204
4 	nspr4.dll 	PR_Wait 	mozilla/nsprpub/pr/src/threads/prmon.c:175
5 	xul.dll 	nsThread::ProcessNextEvent 	mozilla/xpcom/threads/nsThread.cpp:501
6 	xul.dll 	NS_ProcessNextEvent_P 	nsThreadUtils.cpp:227
7 		@0x573fe7f 	
Thread 7
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c64d 	
2 	xul.dll 	nsDownloadScannerWatchdog::WatchdogThread 	mozilla/toolkit/components/downloads/src/nsDownloadScanner.cpp:879
3 	mozcrt19.dll 	_callthreadstartex 	threadex.c:348
4 	mozcrt19.dll 	_threadstartex 	threadex.c:326
5 	kernel32.dll 	kernel32.dll@0x44910 	
6 	ntdll.dll 	ntdll.dll@0x3e4b5 	
7 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 8
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x44910 	
2 	ntdll.dll 	ntdll.dll@0x3e4b5 	
3 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 9
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	NPSWF32.dll 	NPSWF32.dll@0x14ed01 	
3 	ntdll.dll 	ntdll.dll@0x3e4b5 	
4 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 10
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	NPSWF32.dll 	NPSWF32.dll@0x14ed01 	
3 	ntdll.dll 	ntdll.dll@0x3e4b5 	
4 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 11
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x44910 	
2 	ntdll.dll 	ntdll.dll@0x3e4b5 	
3 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 12
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	wdmaud.drv 	wdmaud.drv@0x4f1c 	
2 	wdmaud.drv 	wdmaud.drv@0x7e95 	
3 	kernel32.dll 	kernel32.dll@0x44910 	
4 	ntdll.dll 	ntdll.dll@0x3e4b5 	
5 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 13
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x140108 	
Thread 14
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x14c53e 	
3 	jvm.dll 	jvm.dll@0x1859f6 	
Thread 15
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x14c53e 	
3 	jvm.dll 	jvm.dll@0x1859f6 	
Thread 16
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x14b456 	
3 	jvm.dll 	jvm.dll@0x14b506 	
4 	msvcr71.dll 	msvcr71.dll@0x9564 	
5 	kernel32.dll 	kernel32.dll@0x44910 	
6 	ntdll.dll 	ntdll.dll@0x3e4b5 	
7 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 17
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x17cc9 	
Thread 18
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x140186 	
Thread 19
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x140108 	
Thread 20
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x1c79 	
2 	jvm.dll 	jvm.dll@0x14c137 	
Thread 21
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x14c53e 	
3 	jvm.dll 	jvm.dll@0x1859f6 	
Thread 22
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
Thread 23
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x14c53e 	
3 	jvm.dll 	jvm.dll@0x1859f6 	
Thread 24
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	jvm.dll 	jvm.dll@0x14c53e 	
3 	jvm.dll 	jvm.dll@0x1859f6 	
Thread 25
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	jpishare.dll 	jpishare.dll@0x1d8d 	
2 	kernel32.dll 	kernel32.dll@0x44910 	
3 	ntdll.dll 	ntdll.dll@0x3e4b5 	
4 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 26
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	ole32.dll 	ole32.dll@0x3ee1f 	
2 	ole32.dll 	ole32.dll@0x3aaa6 	
3 	ole32.dll 	ole32.dll@0x3a9e8 	
4 	ole32.dll 	ole32.dll@0x3e085 	
5 	ole32.dll 	ole32.dll@0x3e0e1 	
6 	kernel32.dll 	kernel32.dll@0x44910 	
7 	ntdll.dll 	ntdll.dll@0x3e4b5 	
8 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 27
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	winmm.dll 	winmm.dll@0x1514 	
2 	kernel32.dll 	kernel32.dll@0x44910 	
3 	ntdll.dll 	ntdll.dll@0x3e4b5 	
4 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 28
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	mswsock.dll 	mswsock.dll@0x1fc7 	
2 	ws2_32.dll 	ws2_32.dll@0x1692 	
3 	nspr4.dll 	_PR_MD_PR_POLL 	mozilla/nsprpub/pr/src/md/windows/w32poll.c:273
4 	nspr4.dll 	PR_Poll 	mozilla/nsprpub/pr/src/io/prio.c:160
5 	xul.dll 	nsSocketTransportService::Poll 	mozilla/netwerk/base/src/nsSocketTransportService2.cpp:349
6 	xul.dll 	nsSocketTransportService::DoPollIteration 	mozilla/netwerk/base/src/nsSocketTransportService2.cpp:644
7 	xul.dll 	nsSocketTransportService::OnProcessNextEvent 	mozilla/netwerk/base/src/nsSocketTransportService2.cpp:522
8 	xul.dll 	nsThread::ProcessNextEvent 	mozilla/xpcom/threads/nsThread.cpp:497
9 	nspr4.dll 	PR_Lock 	
Thread 29
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	rpcrt4.dll 	rpcrt4.dll@0x46fef 	
2 	rpcrt4.dll 	rpcrt4.dll@0x4708f 	
3 	rpcrt4.dll 	rpcrt4.dll@0x44f3f 	
4 	rpcrt4.dll 	rpcrt4.dll@0x44f06 	
5 	rpcrt4.dll 	rpcrt4.dll@0x44f6b 	
6 	kernel32.dll 	kernel32.dll@0x44910 	
7 	ntdll.dll 	ntdll.dll@0x3e4b5 	
8 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 30
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	nspr4.dll 	_PR_MD_WAIT_CV 	mozilla/nsprpub/pr/src/md/windows/w95cv.c:280
3 	nspr4.dll 	_PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:204
4 	nspr4.dll 	PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:551
5 	xul.dll 	nsHostResolver::GetHostToLookup 	mozilla/netwerk/dns/src/nsHostResolver.cpp:595
6 	xul.dll 	nsHostResolver::ThreadFunc 	mozilla/netwerk/dns/src/nsHostResolver.cpp:690
7 	nspr4.dll 	_PR_NativeRunThread 	mozilla/nsprpub/pr/src/threads/combined/pruthr.c:436
8 	nspr4.dll 	pr_root 	mozilla/nsprpub/pr/src/md/windows/w95thred.c:122
9 	mozcrt19.dll 	_callthreadstartex 	threadex.c:348
10 	mozcrt19.dll 	_threadstartex 	threadex.c:326
11 	kernel32.dll 	kernel32.dll@0x44910 	
12 	ntdll.dll 	ntdll.dll@0x3e4b5 	
13 	ntdll.dll 	ntdll.dll@0x3e488 	
Thread 31
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	nspr4.dll 	_PR_MD_WAIT_CV 	mozilla/nsprpub/pr/src/md/windows/w95cv.c:280
3 	nspr4.dll 	_PR_WaitCondVar 	mozilla/nsprpub/pr/src/threads/combined/prucv.c:204
4 	nspr4.dll 	PR_Wait 	mozilla/nsprpub/pr/src/threads/prmon.c:175
5 	xul.dll 	nsThreadPool::Run 	mozilla/xpcom/threads/nsThreadPool.cpp:200
6 	xul.dll 	nsThread::ProcessNextEvent 	mozilla/xpcom/threads/nsThread.cpp:510
7 	xul.dll 	NS_ProcessNextEvent_P 	nsThreadUtils.cpp:227
8 		@0x1fdef77f 	
Thread 32
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x1c79 	
2 	NPSWF32.dll 	NPSWF32.dll@0x14ed0e 	
Thread 33
Frame 	Module 	Signature [Expand] 	Source
0 	ntdll.dll 	ntdll.dll@0x59a94 	
1 	kernel32.dll 	kernel32.dll@0x4c1b1 	
2 	NPSWF32.dll 	NPSWF32.dll@0x152d10 	
Filename 	Version 	Debug Identifier 	Debug Filename
firefox.exe 	1.9.0.3439 	B98465A72D2644489463DEA9CA12B16F2 	firefox.pdb
mdnsNSP.dll 	1.0.3.1 	0AF2F131804446D8BC574BC39DEF79F91 	mdnsNSP.pdb
awt.dll 	6.0.0.105 	E616F512423549D5B312648090C3F7F11 	awt.pdb
nspr4.dll 	4.7.3.0 	D5F7227600414C138F7CAFB88DED1CB01 	nspr4.pdb
plds4.dll 	4.7.3.0 	D89D391483234F1586523C2ABF8D87381 	plds4.pdb
plc4.dll 	4.7.3.0 	8C14826C45FB49EFACBC1BA98475759D1 	plc4.pdb
nssckbi.dll 	1.73.0.0 	6C1816CDD7BC4713B26545F78573EEAD1 	nssckbi.pdb
softokn3.dll 	3.12.2.0 	7EEDC3991C8B480CA29EA5C56BB214E31 	softokn3.pdb
nssdbm3.dll 	3.12.2.0 	8BB4ED13FDC543828AAFE61D93E3DE671 	nssdbm3.pdb
nss3.dll 	3.12.2.0 	92EEB93F6235414197121954CB25547F1 	nss3.pdb
nssutil3.dll 	3.12.2.0 	00DA2D5242694F36AF276507E2DF9FFF1 	nssutil3.pdb
ssl3.dll 	3.12.2.0 	0958DD2B008B415FB2E861EABF5B25951 	ssl3.pdb
smime3.dll 	3.12.2.0 	9B90483CFEA640BC88C64CFB2B43D6F71 	smime3.pdb
freebl3.dll 	3.12.2.0 	AA6FC49931B142D3B86C5183E80E776E1 	freebl3.pdb
NPSWF32.dll 	10.0.22.87 	3BB359BF2B484134883563A2C8D4860C1 	NPSWF32.pdb
xul.dll 	1.9.0.3439 	867C597A5651419DA6CD96B692EE9EAFc 	xul.pdb
mozcrt19.dll 	8.0.0.0 	2126926F1DB546E291A60219BC41A6431 	mozcrt19.pdb
sqlite3.dll 	3.6.7.0 	08D9B2E8856846858BF55059C33D6EE52 	sqlite3.pdb
js3250.dll 	4.0.0.0 	382394C3026145A18722078977A7D90526 	js3250.pdb
NetworkExplorer.dll 	6.0.6001.18000 	C1035D43759045B39B0CB490F56F5A602 	NetworkExplorer.pdb
mscms.dll 	6.0.6001.18000 	8513A37B4FA8401583494CBA5CC065132 	mscms.pdb
mlang.dll 	6.0.6001.18000 	E50729F123AE48F48236F259AABC01FB2 	mlang.pdb
tapi32.dll 	6.0.6000.16386 	1ACF3BB7C8F44C34AF718B895485F4D52 	tapi32.pdb
cmm.dll 	1.1.0.0 	F83E7AEAB2694B04895605B2E4FF1B791 	cmm.pdb
dcpr.dll 	6.0.0.105 	EA36A7D323AE4D4D8578AF372DC9732F1 	dcpr.pdb
deploy.dll 	6.0.0.105 	5983A201F15C432AA0B7D26AE88A397A1 	deploy.pdb
fontmanager.dll 	6.0.0.105 	1859C8FFBF814840B07A2F2639CE88401 	fontmanager.pdb
hpi.dll 	6.0.0.105 	2883269AD7D34B5A989A282229C5A8AC1 	hpi.pdb
java.dll 	6.0.0.105 	5B5D66BF2C4A40CA9B254EE22D68B77B1 	java.pdb
jpeg.dll 	6.0.0.105 	AF30224CF3E640EA83A23E9AF374B6641 	jpeg.pdb
jpinscp.dll 	6.0.0.105 	0FD9E21582984022A0662EE54EEA94111 	jpinscp.pdb
jpioji.dll 	6.0.0.105 	2C71ACA336014C0D881F4CD9DFA4E9111 	jpioji.pdb
jpishare.dll 	6.0.0.105 	D0120C2A7CD34E1DBCA713973C7F7ADA1 	jpishare.pdb
net.dll 	6.0.0.105 	5764938AF508490485F6FC05C352DCD11 	net.pdb
nio.dll 	6.0.0.105 	E32C8D65774D4497A33F9DF6947A7B651 	nio.pdb
npjava13.dll 	6.0.0.105 	C1DE99CD4FE94DB49B13CA23BCCB67011 	npjava13.pdb
npoji610.dll 	6.0.0.105 	08565C4628B24A1BB883C0599511BC941 	npoji610.pdb
verify.dll 	6.0.0.105 	DB22D1307EDC405EBC5048B921433E3F1 	verify.pdb
zip.dll 	6.0.0.105 	08AC9535F9B2453998C2CBDA09486C271 	zip.pdb
jvm.dll 	6.0.0.105 	B7A14FF47D8E4F7B9B541843605C88E01 	jvm.pdb
brwsrcmp.dll 	1.9.0.3439 	905496BFB3144EAAB55AE1F72D40C6E63 	brwsrcmp.pdb
icm32.dll 	6.0.6001.18000 	5014C0AEA7644F9498BDBF0D082816F01 	icm32.pdb
browserdirprovider.dll 	1.9.0.3439 	8205E304B2C84F92A1D1C32687C0FDB13 	browserdirprovider.pdb
xpcom.dll 	1.9.0.3439 	E2F355C6ABEC405AA5EDE6896C5230BC3 	xpcom.pdb
ieframe.dll 	7.0.6001.18248 	1F74BA121F6445AA8B5E56D9D62C74002 	ieframe.pdb
rasapi32.dll 	6.0.6001.18000 	B9888ABBFF8B45F3B7BC6A6CC9C746C92 	rasapi32.pdb
actxprxy.dll 	6.0.6001.18000 	83EB3E71E13743339D8CBAB04FB4E1A92 	ActXPrxy.pdb
ntshrui.dll 	6.0.6001.18000 	8971343021764AAA940AABE07B697D7F2 	ntshrui.pdb
browseui.dll 	6.0.6001.18000 	27E10176EEA54532AF44C9B98C3998202 	browseui.pdb
shdocvw.dll 	6.0.6001.18000 	86EDD4C565D04F56B4BD7FC828D996772 	shdocvw.pdb
rasman.dll 	6.0.6001.18000 	D5E0319FC21B4B5E8E248908A573F9842 	rasman.pdb
wsock32.dll 	6.0.6001.18000 	7DC375A71CD746B2AA6DA348F3CC4A332 	wsock32.pdb
IconCodecService.dll 	6.0.6000.16386 	0EFA5A802F5945A3843F6E3C1C4BA6932 	IconCodecService.pdb
linkinfo.dll 	6.0.6000.16386 	2AE6102B3FD948EE9607CC2EB029446D2 	linkinfo.pdb
SensApi.dll 	6.0.6000.16386 	5F02AC5B099A4A78A5F7064310F965D92 	SensApi.pdb
winspool.drv 	6.0.6001.18000 	C2BBAA4F14454DFB9133D376CBA83A3F1 	winspool.pdb
dbghelp.dll 	6.0.6001.18000 	5AFA6218AC6244CDA864757C23655C322 	dbghelp.pdb
pnrpnsp.dll 	6.0.6001.18000 	9978701F009842E888F7CFACE2D87B2F2 	pnrpnsp.pdb
winrnr.dll 	6.0.6000.16386 	503C6EAA0365471EA08AFCF3D7FB82F82 	winrnr.pdb
NapiNSP.dll 	6.0.6001.18000 	40732FC58838438FADEA98874C7BE0482 	NapiNSP.pdb
davclnt.dll 	6.0.6000.16386 	340F99CFAE5A451CBF758A204E6F2F4D2 	davclnt.pdb
ntlanman.dll 	6.0.6001.18000 	CBB1CDAA2F464DF7AB5203CD6612D37D2 	ntlanman.pdb
drprov.dll 	6.0.6000.16386 	D31CDD726BDA4738958CE9F67391380E2 	drprov.pdb
rasadhlp.dll 	6.0.6000.16386 	EF7CE7F6CA80474C8B3C401BCEDE63232 	rasadhlp.pdb
cscapi.dll 	6.0.6001.18000 	6A4570FE147F44EAAA2246ED139B98161 	cscapi.pdb
WindowsCodecs.dll 	6.0.6001.18000 	7A9C55F2A75540D0AF7B9C732121276D2 	WindowsCodecs.pdb
msacm32.dll 	6.0.6001.18000 	376918E968B945C7AFADC00C7A541A422 	msacm32.pdb
midimap.dll 	6.0.6001.18000 	C8620017433446F3B909A7FC82E835B41 	midimap.pdb
msacm32.drv 	6.0.6001.18000 	E22B8CC4E734457EBED7740AFAC6C29F1 	msacm32.pdb
AudioEng.dll 	6.0.6001.18000 	FCDA059ED5E3414E85A97D61168D1A682 	AUDIOENG.pdb
AudioSes.dll 	6.0.6001.18000 	1EE865A82D3441F1B243F762B90507782 	AudioSes.pdb
wdmaud.drv 	6.0.6001.18000 	7B6ECBCD46884781922A97258828EBC62 	wdmaud.pdb
propsys.dll 	6.0.6001.18000 	98AF2548084B4BE895F9A9B188591F712 	propsys.pdb
oleacc.dll 	4.2.5406.0 	870DE296FC97430A81F4D5AC2B65C0222 	oleacc.pdb
winmm.dll 	6.0.6001.18000 	0F510C3C6FA5429CB90B3CAC010DAE2A2 	winmm.pdb
comctl32.dll 	6.10.6001.18000 	B07CB25578964646BF1423C7A4B5CB9D2 	comctl32.pdb
ksuser.dll 	6.0.6000.16386 	F4E61857491042318000C5CE88B4D6E62 	ksuser.pdb
duser.dll 	6.0.6001.18000 	8753BF70B9E043B78BE5E8616AF70B732 	DUser.pdb
uxtheme.dll 	6.0.6001.18000 	D6B5A4E899AF4946BA6E4611D58409C02 	UxTheme.pdb
nlaapi.dll 	6.0.6001.18000 	DB93000733CD4945A45FD893D5FD73DB1 	nlaapi.pdb
MMDevAPI.dll 	6.0.6001.18000 	971E0FC87AB1469198E292ACC748EEA82 	MMDevAPI.pdb
wintrust.dll 	6.0.6001.18000 	890F7D05DE644A529246BB8E4D67F58C2 	wintrust.pdb
rtutils.dll 	6.0.6000.16386 	119502E119254BC584A2134514FFB1972 	rtutils.pdb
msimg32.dll 	6.0.6000.16386 	F3CCF1CDEF724758A292CC67212D6C0C2 	msimg32.pdb
WSHTCPIP.DLL 	6.0.6001.18000 	04F115ECECD44A42BCB33B070E9BB3DC2 	wshtcpip.pdb
powrprof.dll 	6.0.6001.18000 	78C14E5546ED469F9CC95B94D32E80C72 	powrprof.pdb
rsaenh.dll 	6.0.6001.18000 	106F4E31927B44DDA787F038C49325FE2 	rsaenh.pdb
schannel.dll 	6.0.6001.18175 	02906E2CF605456C8ED1FB0F65E735A52 	schannel.pdb
avrt.dll 	6.0.6001.18000 	DF0B089A5E80467383CCBBBBDCF2D0282 	avrt.pdb
mswsock.dll 	6.0.6001.18000 	4AC8DC12E86B4AC79A9C735D8D7091122 	mswsock.pdb
wship6.dll 	6.0.6001.18000 	476F85998BBC4CAAB520F8F70F7960051 	wship6.pdb
version.dll 	6.0.6001.18000 	6A1ECA8395EE447D87E8A0F4770EC4FE2 	version.pdb
credssp.dll 	6.0.6001.18000 	EED3E875812C4AE39E3E990167D18B421 	credssp.pdb
dhcpcsvc6.DLL 	6.0.6001.18000 	FCE55FAB1F3F47F19D1C04D0BCB17BD22 	dhcpcsvc6.pdb
winnsi.dll 	6.0.6001.18000 	F491ADBDA8EC4CE992EE9D915003BF041 	winnsi.pdb
dhcpcsvc.dll 	6.0.6001.18000 	7BFDD3C973A34A78962A34C2A9E4D05E2 	dhcpcsvc.pdb
IPHLPAPI.DLL 	6.0.6001.18000 	FD920ED8F03842FA86EA2C9B507AFB0C2 	iphlpapi.pdb
SLC.dll 	6.0.6001.18000 	BB424FB3C1914F50A3A0D171897E4A512 	SLC.pdb
crypt32.dll 	6.0.6001.18000 	F344E585CAB44AEBA410913BA3529F8A2 	crypt32.pdb
mpr.dll 	6.0.6001.18000 	44736889451D44F6BE441B0DBA6A88D22 	mpr.pdb
msasn1.dll 	6.0.6000.16386 	5668F94D10674FA4AB64507352FFA6422 	msasn1.pdb
dnsapi.dll 	6.0.6001.18000 	38F2989DD4E94700BC57EA2003B4114F2 	dnsapi.pdb
netapi32.dll 	6.0.6001.18157 	48F3E1BEE7C74FD8B17E6F04103E0D642 	netapi32.pdb
apphelp.dll 	6.0.6001.18000 	8E2B89AC298E478D95400CAC39E984962 	apphelp.pdb
secur32.dll 	6.0.6001.18215 	C3CFF8BFA2FA40D888CBED14704238EC2 	secur32.pdb
userenv.dll 	6.0.6001.18000 	B3DFD39AFCFD45718B10CA2EE3E023EC2 	userenv.pdb
advapi32.dll 	6.0.6001.18000 	F47D32216FEC4B49AC9C8E6E687A36C52 	advapi32.pdb
rpcrt4.dll 	6.0.6001.18247 	5C4AC0A1873A4454B01643CE8B2848862 	rpcrt4.pdb
shlwapi.dll 	6.0.6001.18000 	B8D18F33FFCC4B37A2800C2CF4B8E0132 	shlwapi.pdb
msctf.dll 	6.0.6001.18000 	D580123A0B2D4A4A9101EE42B89C49A22 	msctf.pdb
usp10.dll 	1.626.6001.18000 	DDA3D1A222EC474392B05039FFB9FB2F2 	usp10.pdb
gdi32.dll 	6.0.6001.18159 	5FC4472C463A4D14A7F4BD9A4C8837672 	gdi32.pdb
clbcatq.dll 	2001.12.6931.18000 	9E0BF37E9B7B468BA033F0003A14A3A32 	CLBCatQ.pdb
Wldap32.dll 	6.0.6001.18000 	1080C7828BD04DCEAB7684107217202D2 	wldap32.pdb
shell32.dll 	6.0.6001.18167 	C76750FD7C8648328F9E5977929983652 	shell32.pdb
wininet.dll 	7.0.6001.18248 	5C815553328A4BD1B3ACAA3CA15425D32 	wininet.pdb
ole32.dll 	6.0.6001.18000 	D5E1AE7EFBFE4EBF861CF115E487706B2 	ole32.pdb
iertutil.dll 	7.0.6001.18248 	669727A3C8234E9CAAF40C70403E39EE2 	iertutil.pdb
kernel32.dll 	6.0.6001.18215 	4F1A576446054ABC87CB6276E24BD5422 	kernel32.pdb
setupapi.dll 	6.0.6001.18000 	28CE2899B84241FA9EDD099FA6C87D932 	setupapi.pdb
imagehlp.dll 	6.0.6001.18000 	83857AB54AF242F49144544444A773502 	imagehlp.pdb
urlmon.dll 	7.0.6001.18248 	11A5DEC8197E4558944E790266895B5D2 	urlmon.pdb
oleaut32.dll 	6.0.6001.18000 	DDDA4738DBC94A3CB5523186E8E021502 	oleaut32.pdb
comdlg32.dll 	6.0.6001.18000 	B29564B650C545959CA6A542207B65EE2 	comdlg32.pdb
msvcrt.dll 	7.0.6001.18000 	907C0110ED8A4B5FBDE7C53CA473E1BF2 	msvcrt.pdb
ntdll.dll 	6.0.6001.18000 	B958B2F91A5A46B889DAFAB4D140CF252 	ntdll.pdb
psapi.dll 	6.0.6000.16386 	FA398191D257469CBA795A86B704D9B92 	psapi.pdb
nsi.dll 	6.0.6001.18000 	37D074DFCA5D4B5FB51EB78B39F22BF12 	nsi.pdb
normaliz.dll 	6.0.6000.16386 	D89936175B9A40C0BEC6EE980ACF2A491 	normaliz.pdb
lpk.dll 	6.0.6001.18000 	EE7B434B5C904EF2AACEA045AD88806A2 	lpk.pdb
imm32.dll 	6.0.6001.18000 	FD735742B429460AA1EB84EA7DE5F4952 	imm32.pdb
ws2_32.dll 	6.0.6001.18000 	A004B77B4689467D8888B44DC5DD5DD72 	ws2_32.pdb
user32.dll 	6.0.6001.18000 	750E7375884C4EA592C8B0C8ADB018542 	user32.pdb
msvcr71.dll 	7.10.3052.4 	630C79175C1942C099C9BC4ED019C6092 	msvcr71.pdb
OS|Windows NT|6.0.6001 Service Pack 1 CPU|x86|AuthenticAMD family 15 model 72 stepping 2|2 Crash|EXCEPTION_ACCESS_VIOLATION|0x20|0 Module|firefox.exe|1.9.0.3439|firefox.pdb|B98465A72D2644489463DEA9CA12B16F2|0x01080000|0x010ccfff|1 Module|mdnsNSP.dll|1.0.3.1|mdnsNSP.pdb|0AF2F131804446D8BC574BC39DEF79F91|0x16080000|0x16098fff|0 Module|awt.dll|6.0.0.105|awt.pdb|E616F512423549D5B312648090C3F7F11|0x183a0000|0x18562fff|0 Module|nspr4.dll|4.7.3.0|nspr4.pdb|D5F7227600414C138F7CAFB88DED1CB01|0x600b0000|0x600dffff|0 Module|plds4.dll|4.7.3.0|plds4.pdb|D89D391483234F1586523C2ABF8D87381|0x600e0000|0x600e6fff|0 Module|plc4.dll|4.7.3.0|plc4.pdb|8C14826C45FB49EFACBC1BA98475759D1|0x600f0000|0x600f6fff|0 Module|nssckbi.dll|1.73.0.0|nssckbi.pdb|6C1816CDD7BC4713B26545F78573EEAD1|0x602a0000|0x602e6fff|0 Module|softokn3.dll|3.12.2.0|softokn3.pdb|7EEDC3991C8B480CA29EA5C56BB214E31|0x602f0000|0x60314fff|0 Module|nssdbm3.dll|3.12.2.0|nssdbm3.pdb|8BB4ED13FDC543828AAFE61D93E3DE671|0x60320000|0x60337fff|0 Module|nss3.dll|3.12.2.0|nss3.pdb|92EEB93F6235414197121954CB25547F1|0x60340000|0x603eefff|0 Module|nssutil3.dll|3.12.2.0|nssutil3.pdb|00DA2D5242694F36AF276507E2DF9FFF1|0x603f0000|0x60403fff|0 Module|ssl3.dll|3.12.2.0|ssl3.pdb|0958DD2B008B415FB2E861EABF5B25951|0x60410000|0x6042ffff|0 Module|smime3.dll|3.12.2.0|smime3.pdb|9B90483CFEA640BC88C64CFB2B43D6F71|0x60430000|0x60447fff|0 Module|freebl3.dll|3.12.2.0|freebl3.pdb|AA6FC49931B142D3B86C5183E80E776E1|0x60450000|0x60488fff|0 Module|NPSWF32.dll|10.0.22.87|NPSWF32.pdb|3BB359BF2B484134883563A2C8D4860C1|0x64ea0000|0x65318fff|0 Module|xul.dll|1.9.0.3439|xul.pdb|867C597A5651419DA6CD96B692EE9EAFc|0x67770000|0x680d9fff|0 Module|mozcrt19.dll|8.0.0.0|mozcrt19.pdb|2126926F1DB546E291A60219BC41A6431|0x699a0000|0x69a4dfff|0 Module|sqlite3.dll|3.6.7.0|sqlite3.pdb|08D9B2E8856846858BF55059C33D6EE52|0x69a50000|0x69abcfff|0 Module|js3250.dll|4.0.0.0|js3250.pdb|382394C3026145A18722078977A7D90526|0x69ac0000|0x69b6cfff|0 Module|NetworkExplorer.dll|6.0.6001.18000|NetworkExplorer.pdb|C1035D43759045B39B0CB490F56F5A602|0x69e50000|0x6a072fff|0 Module|mscms.dll|6.0.6001.18000|mscms.pdb|8513A37B4FA8401583494CBA5CC065132|0x6b5a0000|0x6b601fff|0 Module|mlang.dll|6.0.6001.18000|mlang.pdb|E50729F123AE48F48236F259AABC01FB2|0x6ca60000|0x6ca8ffff|0 Module|tapi32.dll|6.0.6000.16386|tapi32.pdb|1ACF3BB7C8F44C34AF718B895485F4D52|0x6d1b0000|0x6d1e0fff|0 Module|cmm.dll|1.1.0.0|cmm.pdb|F83E7AEAB2694B04895605B2E4FF1B791|0x6d1f0000|0x6d21efff|0 Module|dcpr.dll|6.0.0.105|dcpr.pdb|EA36A7D323AE4D4D8578AF372DC9732F1|0x6d220000|0x6d242fff|0 Module|deploy.dll|6.0.0.105|deploy.pdb|5983A201F15C432AA0B7D26AE88A397A1|0x6d250000|0x6d260fff|0 Module|fontmanager.dll|6.0.0.105|fontmanager.pdb|1859C8FFBF814840B07A2F2639CE88401|0x6d2b0000|0x6d302fff|0 Module|hpi.dll|6.0.0.105|hpi.pdb|2883269AD7D34B5A989A282229C5A8AC1|0x6d310000|0x6d317fff|0 Module|java.dll|6.0.0.105|java.pdb|5B5D66BF2C4A40CA9B254EE22D68B77B1|0x6d3b0000|0x6d3cefff|0 Module|jpeg.dll|6.0.0.105|jpeg.pdb|AF30224CF3E640EA83A23E9AF374B6641|0x6d450000|0x6d473fff|0 Module|jpinscp.dll|6.0.0.105|jpinscp.pdb|0FD9E21582984022A0662EE54EEA94111|0x6d4c0000|0x6d4d7fff|0 Module|jpioji.dll|6.0.0.105|jpioji.pdb|2C71ACA336014C0D881F4CD9DFA4E9111|0x6d4e0000|0x6d4effff|0 Module|jpishare.dll|6.0.0.105|jpishare.pdb|D0120C2A7CD34E1DBCA713973C7F7ADA1|0x6d4f0000|0x6d513fff|0 Module|net.dll|6.0.0.105|net.pdb|5764938AF508490485F6FC05C352DCD11|0x6d570000|0x6d582fff|0 Module|nio.dll|6.0.0.105|nio.pdb|E32C8D65774D4497A33F9DF6947A7B651|0x6d590000|0x6d598fff|0 Module|npjava13.dll|6.0.0.105|npjava13.pdb|C1DE99CD4FE94DB49B13CA23BCCB67011|0x6d600000|0x6d620fff|0 Module|npoji610.dll|6.0.0.105|npoji610.pdb|08565C4628B24A1BB883C0599511BC941|0x6d690000|0x6d6b0fff|0 Module|verify.dll|6.0.0.105|verify.pdb|DB22D1307EDC405EBC5048B921433E3F1|0x6d770000|0x6d77bfff|0 Module|zip.dll|6.0.0.105|zip.pdb|08AC9535F9B2453998C2CBDA09486C271|0x6d7b0000|0x6d7befff|0 Module|jvm.dll|6.0.0.105|jvm.pdb|B7A14FF47D8E4F7B9B541843605C88E01|0x6d7c0000|0x6da06fff|0 Module|brwsrcmp.dll|1.9.0.3439|brwsrcmp.pdb|905496BFB3144EAAB55AE1F72D40C6E63|0x6dc50000|0x6dc72fff|0 Module|icm32.dll|6.0.6001.18000|icm32.pdb|5014C0AEA7644F9498BDBF0D082816F01|0x6dd20000|0x6dd57fff|0 Module|browserdirprovider.dll|1.9.0.3439|browserdirprovider.pdb|8205E304B2C84F92A1D1C32687C0FDB13|0x6de40000|0x6de47fff|0 Module|xpcom.dll|1.9.0.3439|xpcom.pdb|E2F355C6ABEC405AA5EDE6896C5230BC3|0x6de50000|0x6de56fff|0 Module|ieframe.dll|7.0.6001.18248|ieframe.pdb|1F74BA121F6445AA8B5E56D9D62C74002|0x6de60000|0x6e42dfff|0 Module|rasapi32.dll|6.0.6001.18000|rasapi32.pdb|B9888ABBFF8B45F3B7BC6A6CC9C746C92|0x6eb70000|0x6ebb9fff|0 Module|actxprxy.dll|6.0.6001.18000|ActXPrxy.pdb|83EB3E71E13743339D8CBAB04FB4E1A92|0x6f210000|0x6f262fff|0 Module|ntshrui.dll|6.0.6001.18000|ntshrui.pdb|8971343021764AAA940AABE07B697D7F2|0x6f460000|0x6f4a9fff|0 Module|browseui.dll|6.0.6001.18000|browseui.pdb|27E10176EEA54532AF44C9B98C3998202|0x6f570000|0x6f6b5fff|0 Module|shdocvw.dll|6.0.6001.18000|shdocvw.pdb|86EDD4C565D04F56B4BD7FC828D996772|0x6f6c0000|0x6f7c6fff|0 Module|rasman.dll|6.0.6001.18000|rasman.pdb|D5E0319FC21B4B5E8E248908A573F9842|0x6fb40000|0x6fb53fff|0 Module|wsock32.dll|6.0.6001.18000|wsock32.pdb|7DC375A71CD746B2AA6DA348F3CC4A332|0x6fb70000|0x6fb76fff|0 Module|IconCodecService.dll|6.0.6000.16386|IconCodecService.pdb|0EFA5A802F5945A3843F6E3C1C4BA6932|0x6fc30000|0x6fc35fff|0 Module|linkinfo.dll|6.0.6000.16386|linkinfo.pdb|2AE6102B3FD948EE9607CC2EB029446D2|0x701c0000|0x701c8fff|0 Module|SensApi.dll|6.0.6000.16386|SensApi.pdb|5F02AC5B099A4A78A5F7064310F965D92|0x706e0000|0x706e5fff|0 Module|winspool.drv|6.0.6001.18000|winspool.pdb|C2BBAA4F14454DFB9133D376CBA83A3F1|0x70b10000|0x70b51fff|0 Module|dbghelp.dll|6.0.6001.18000|dbghelp.pdb|5AFA6218AC6244CDA864757C23655C322|0x71050000|0x7112bfff|0 Module|pnrpnsp.dll|6.0.6001.18000|pnrpnsp.pdb|9978701F009842E888F7CFACE2D87B2F2|0x71820000|0x71831fff|0 Module|winrnr.dll|6.0.6000.16386|winrnr.pdb|503C6EAA0365471EA08AFCF3D7FB82F82|0x71990000|0x71997fff|0 Module|NapiNSP.dll|6.0.6001.18000|NapiNSP.pdb|40732FC58838438FADEA98874C7BE0482|0x719a0000|0x719aefff|0 Module|davclnt.dll|6.0.6000.16386|davclnt.pdb|340F99CFAE5A451CBF758A204E6F2F4D2|0x71a60000|0x71a6efff|0 Module|ntlanman.dll|6.0.6001.18000|ntlanman.pdb|CBB1CDAA2F464DF7AB5203CD6612D37D2|0x71a70000|0x71a82fff|0 Module|drprov.dll|6.0.6000.16386|drprov.pdb|D31CDD726BDA4738958CE9F67391380E2|0x71a90000|0x71a97fff|0 Module|rasadhlp.dll|6.0.6000.16386|rasadhlp.pdb|EF7CE7F6CA80474C8B3C401BCEDE63232|0x71aa0000|0x71aa5fff|0 Module|cscapi.dll|6.0.6001.18000|cscapi.pdb|6A4570FE147F44EAAA2246ED139B98161|0x71c90000|0x71c9afff|0 Module|WindowsCodecs.dll|6.0.6001.18000|WindowsCodecs.pdb|7A9C55F2A75540D0AF7B9C732121276D2|0x73ca0000|0x73d52fff|0 Module|msacm32.dll|6.0.6001.18000|msacm32.pdb|376918E968B945C7AFADC00C7A541A422|0x73de0000|0x73df3fff|0 Module|midimap.dll|6.0.6001.18000|midimap.pdb|C8620017433446F3B909A7FC82E835B41|0x73e40000|0x73e46fff|0 Module|msacm32.drv|6.0.6001.18000|msacm32.pdb|E22B8CC4E734457EBED7740AFAC6C29F1|0x73e70000|0x73e78fff|0 Module|AudioEng.dll|6.0.6001.18000|AUDIOENG.pdb|FCDA059ED5E3414E85A97D61168D1A682|0x73e80000|0x73ee5fff|0 Module|AudioSes.dll|6.0.6001.18000|AudioSes.pdb|1EE865A82D3441F1B243F762B90507782|0x73fb0000|0x73fd0fff|0 Module|wdmaud.drv|6.0.6001.18000|wdmaud.pdb|7B6ECBCD46884781922A97258828EBC62|0x73fe0000|0x7400efff|0 Module|propsys.dll|6.0.6001.18000|propsys.pdb|98AF2548084B4BE895F9A9B188591F712|0x74010000|0x740c9fff|0 Module|oleacc.dll|4.2.5406.0|oleacc.pdb|870DE296FC97430A81F4D5AC2B65C0222|0x74300000|0x74338fff|0 Module|winmm.dll|6.0.6001.18000|winmm.pdb|0F510C3C6FA5429CB90B3CAC010DAE2A2|0x74340000|0x74371fff|0 Module|comctl32.dll|6.10.6001.18000|comctl32.pdb|B07CB25578964646BF1423C7A4B5CB9D2|0x74780000|0x7491dfff|0 Module|ksuser.dll|6.0.6000.16386|ksuser.pdb|F4E61857491042318000C5CE88B4D6E62|0x74920000|0x74923fff|0 Module|duser.dll|6.0.6001.18000|DUser.pdb|8753BF70B9E043B78BE5E8616AF70B732|0x74990000|0x749bffff|0 Module|uxtheme.dll|6.0.6001.18000|UxTheme.pdb|D6B5A4E899AF4946BA6E4611D58409C02|0x749c0000|0x749fefff|0 Module|nlaapi.dll|6.0.6001.18000|nlaapi.pdb|DB93000733CD4945A45FD893D5FD73DB1|0x74a60000|0x74a6efff|0 Module|MMDevAPI.dll|6.0.6001.18000|MMDevAPI.pdb|971E0FC87AB1469198E292ACC748EEA82|0x74a90000|0x74ab6fff|0 Module|wintrust.dll|6.0.6001.18000|wintrust.pdb|890F7D05DE644A529246BB8E4D67F58C2|0x74b80000|0x74bacfff|0 Module|rtutils.dll|6.0.6000.16386|rtutils.pdb|119502E119254BC584A2134514FFB1972|0x74c40000|0x74c4bfff|0 Module|msimg32.dll|6.0.6000.16386|msimg32.pdb|F3CCF1CDEF724758A292CC67212D6C0C2|0x74c50000|0x74c54fff|0 Module|WSHTCPIP.DLL|6.0.6001.18000|wshtcpip.pdb|04F115ECECD44A42BCB33B070E9BB3DC2|0x74d20000|0x74d24fff|0 Module|powrprof.dll|6.0.6001.18000|powrprof.pdb|78C14E5546ED469F9CC95B94D32E80C72|0x74d30000|0x74d49fff|0 Module|rsaenh.dll|6.0.6001.18000|rsaenh.pdb|106F4E31927B44DDA787F038C49325FE2|0x74db0000|0x74deafff|0 Module|schannel.dll|6.0.6001.18175|schannel.pdb|02906E2CF605456C8ED1FB0F65E735A52|0x74e20000|0x74e63fff|0 Module|avrt.dll|6.0.6001.18000|avrt.pdb|DF0B089A5E80467383CCBBBBDCF2D0282|0x74f50000|0x74f56fff|0 Module|mswsock.dll|6.0.6001.18000|mswsock.pdb|4AC8DC12E86B4AC79A9C735D8D7091122|0x75090000|0x750cafff|0 Module|wship6.dll|6.0.6001.18000|wship6.pdb|476F85998BBC4CAAB520F8F70F7960051|0x750f0000|0x750f4fff|0 Module|version.dll|6.0.6001.18000|version.pdb|6A1ECA8395EE447D87E8A0F4770EC4FE2|0x75100000|0x75107fff|0 Module|credssp.dll|6.0.6001.18000|credssp.pdb|EED3E875812C4AE39E3E990167D18B421|0x751b0000|0x751b6fff|0 Module|dhcpcsvc6.DLL|6.0.6001.18000|dhcpcsvc6.pdb|FCE55FAB1F3F47F19D1C04D0BCB17BD22|0x75260000|0x75280fff|0 Module|winnsi.dll|6.0.6001.18000|winnsi.pdb|F491ADBDA8EC4CE992EE9D915003BF041|0x75290000|0x75296fff|0 Module|dhcpcsvc.dll|6.0.6001.18000|dhcpcsvc.pdb|7BFDD3C973A34A78962A34C2A9E4D05E2|0x752a0000|0x752d4fff|0 Module|IPHLPAPI.DLL|6.0.6001.18000|iphlpapi.pdb|FD920ED8F03842FA86EA2C9B507AFB0C2|0x752e0000|0x752f8fff|0 Module|SLC.dll|6.0.6001.18000|SLC.pdb|BB424FB3C1914F50A3A0D171897E4A512|0x75340000|0x75379fff|0 Module|crypt32.dll|6.0.6001.18000|crypt32.pdb|F344E585CAB44AEBA410913BA3529F8A2|0x75380000|0x75470fff|0 Module|mpr.dll|6.0.6001.18000|mpr.pdb|44736889451D44F6BE441B0DBA6A88D22|0x75480000|0x75493fff|0 Module|msasn1.dll|6.0.6000.16386|msasn1.pdb|5668F94D10674FA4AB64507352FFA6422|0x754e0000|0x754f1fff|0 Module|dnsapi.dll|6.0.6001.18000|dnsapi.pdb|38F2989DD4E94700BC57EA2003B4114F2|0x75520000|0x7554bfff|0 Module|netapi32.dll|6.0.6001.18157|netapi32.pdb|48F3E1BEE7C74FD8B17E6F04103E0D642|0x75730000|0x757a4fff|0 Module|apphelp.dll|6.0.6001.18000|apphelp.pdb|8E2B89AC298E478D95400CAC39E984962|0x75870000|0x7589bfff|0 Module|secur32.dll|6.0.6001.18215|secur32.pdb|C3CFF8BFA2FA40D888CBED14704238EC2|0x758d0000|0x758e3fff|0 Module|userenv.dll|6.0.6001.18000|userenv.pdb|B3DFD39AFCFD45718B10CA2EE3E023EC2|0x758f0000|0x7590dfff|0 Module|advapi32.dll|6.0.6001.18000|advapi32.pdb|F47D32216FEC4B49AC9C8E6E687A36C52|0x75a30000|0x75af5fff|0 Module|rpcrt4.dll|6.0.6001.18247|rpcrt4.pdb|5C4AC0A1873A4454B01643CE8B2848862|0x75b00000|0x75bc1fff|0 Module|shlwapi.dll|6.0.6001.18000|shlwapi.pdb|B8D18F33FFCC4B37A2800C2CF4B8E0132|0x75bd0000|0x75c27fff|0 Module|msctf.dll|6.0.6001.18000|msctf.pdb|D580123A0B2D4A4A9101EE42B89C49A22|0x75c30000|0x75cf7fff|0 Module|usp10.dll|1.626.6001.18000|usp10.pdb|DDA3D1A222EC474392B05039FFB9FB2F2|0x75d00000|0x75d7cfff|0 Module|gdi32.dll|6.0.6001.18159|gdi32.pdb|5FC4472C463A4D14A7F4BD9A4C8837672|0x75d80000|0x75dcafff|0 Module|clbcatq.dll|2001.12.6931.18000|CLBCatQ.pdb|9E0BF37E9B7B468BA033F0003A14A3A32|0x75dd0000|0x75e53fff|0 Module|Wldap32.dll|6.0.6001.18000|wldap32.pdb|1080C7828BD04DCEAB7684107217202D2|0x75e60000|0x75ea9fff|0 Module|shell32.dll|6.0.6001.18167|shell32.pdb|C76750FD7C8648328F9E5977929983652|0x75eb0000|0x769bffff|0 Module|wininet.dll|7.0.6001.18248|wininet.pdb|5C815553328A4BD1B3ACAA3CA15425D32|0x769c0000|0x76a8ffff|0 Module|ole32.dll|6.0.6001.18000|ole32.pdb|D5E1AE7EFBFE4EBF861CF115E487706B2|0x76a90000|0x76bd3fff|0 Module|iertutil.dll|7.0.6001.18248|iertutil.pdb|669727A3C8234E9CAAF40C70403E39EE2|0x76be0000|0x76c25fff|0 Module|kernel32.dll|6.0.6001.18215|kernel32.pdb|4F1A576446054ABC87CB6276E24BD5422|0x76c30000|0x76d0afff|0 Module|setupapi.dll|6.0.6001.18000|setupapi.pdb|28CE2899B84241FA9EDD099FA6C87D932|0x76d10000|0x76e99fff|0 Module|imagehlp.dll|6.0.6001.18000|imagehlp.pdb|83857AB54AF242F49144544444A773502|0x76ea0000|0x76ec8fff|0 Module|urlmon.dll|7.0.6001.18248|urlmon.pdb|11A5DEC8197E4558944E790266895B5D2|0x76ed0000|0x76ff8fff|0 Module|oleaut32.dll|6.0.6001.18000|oleaut32.pdb|DDDA4738DBC94A3CB5523186E8E021502|0x77000000|0x7708cfff|0 Module|comdlg32.dll|6.0.6001.18000|comdlg32.pdb|B29564B650C545959CA6A542207B65EE2|0x77090000|0x77102fff|0 Module|msvcrt.dll|7.0.6001.18000|msvcrt.pdb|907C0110ED8A4B5FBDE7C53CA473E1BF2|0x77110000|0x771b9fff|0 Module|ntdll.dll|6.0.6001.18000|ntdll.pdb|B958B2F91A5A46B889DAFAB4D140CF252|0x771c0000|0x772e6fff|0 Module|psapi.dll|6.0.6000.16386|psapi.pdb|FA398191D257469CBA795A86B704D9B92|0x772f0000|0x772f6fff|0 Module|nsi.dll|6.0.6001.18000|nsi.pdb|37D074DFCA5D4B5FB51EB78B39F22BF12|0x77300000|0x77305fff|0 Module|normaliz.dll|6.0.6000.16386|normaliz.pdb|D89936175B9A40C0BEC6EE980ACF2A491|0x77310000|0x77312fff|0 Module|lpk.dll|6.0.6001.18000|lpk.pdb|EE7B434B5C904EF2AACEA045AD88806A2|0x77320000|0x77328fff|0 Module|imm32.dll|6.0.6001.18000|imm32.pdb|FD735742B429460AA1EB84EA7DE5F4952|0x77330000|0x7734dfff|0 Module|ws2_32.dll|6.0.6001.18000|ws2_32.pdb|A004B77B4689467D8888B44DC5DD5DD72|0x77350000|0x7737cfff|0 Module|user32.dll|6.0.6001.18000|user32.pdb|750E7375884C4EA592C8B0C8ADB018542|0x77380000|0x7741cfff|0 Module|msvcr71.dll|7.10.3052.4|msvcr71.pdb|630C79175C1942C099C9BC4ED019C6092|0x7c340000|0x7c395fff|0 0|0|NPSWF32.dll||||0x1b9cf9 0|1|NPSWF32.dll||||0x1b9e37 0|2|NPSWF32.dll||||0x131db 0|3|NPSWF32.dll||||0xe8548 0|4|NPSWF32.dll||||0xdc531 1|0|ntdll.dll||||0x59a94 1|1|kernel32.dll||||0x4c1b1 1|2|nspr4.dll|_PR_MD_WAIT_CV|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w95cv.c:3.5|280|0xd 1|3|nspr4.dll|_PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|204|0x1b 1|4|nspr4.dll|PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|551|0xa 1|5|xul.dll|TimerThread::Run()|cvs:cvs.mozilla.org/cvsroot:mozilla/xpcom/threads/TimerThread.cpp:1.30|345|0x12 1|6|xul.dll|nsThread::ProcessNextEvent(int,int *)|cvs:cvs.mozilla.org/cvsroot:mozilla/xpcom/threads/nsThread.cpp:1.71|510|0xf 1|7|xul.dll|NS_ProcessNextEvent_P(nsIThread *,int)|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/xpcom/build/nsThreadUtils.cpp|227|0xc 1|8|||||0x28ffda3 2|0|ntdll.dll||||0x59a94 2|1|kernel32.dll||||0x44910 2|2|ntdll.dll||||0x3e4b5 2|3|ntdll.dll||||0x3e488 3|0|ntdll.dll||||0x59a94 3|1|kernel32.dll||||0x4c64d 3|2|xul.dll|nsNotifyAddrListener::Run()|cvs:cvs.mozilla.org/cvsroot:mozilla/netwerk/system/win32/nsNotifyAddrListener.cpp:1.9|160|0xf 3|3|xul.dll|nsThread::ProcessNextEvent(int,int *)|cvs:cvs.mozilla.org/cvsroot:mozilla/xpcom/threads/nsThread.cpp:1.71|510|0xf 3|4|xul.dll|NS_ProcessNextEvent_P(nsIThread *,int)|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/xpcom/build/nsThreadUtils.cpp|227|0xc 3|5|||||0x320fc6b 4|0|ntdll.dll||||0x59a94 4|1|kernel32.dll||||0x4c1b1 4|2|nspr4.dll|_PR_MD_WAIT_CV|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w95cv.c:3.5|280|0xd 4|3|nspr4.dll|_PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|204|0x1b 4|4|nspr4.dll|PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|551|0xa 4|5|xul.dll|nsSSLThread::Run()|cvs:cvs.mozilla.org/cvsroot:mozilla/security/manager/ssl/src/nsSSLThread.cpp:1.16|964|0xa 5|0|ntdll.dll||||0x59a94 5|1|kernel32.dll||||0x4c1b1 5|2|nspr4.dll|_PR_MD_WAIT_CV|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w95cv.c:3.5|280|0xd 5|3|nspr4.dll|_PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|204|0x1b 5|4|nspr4.dll|PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|551|0xa 5|5|xul.dll|nsCertVerificationThread::Run()|cvs:cvs.mozilla.org/cvsroot:mozilla/security/manager/ssl/src/nsCertVerificationThread.cpp:1.4|138|0xa 5|6|nspr4.dll|_PR_NativeRunThread|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/pruthr.c:3.36|436|0x8 5|7|nspr4.dll|pr_root|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w95thred.c:3.17|122|0xc 5|8|mozcrt19.dll|_callthreadstartex|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/memory/jemalloc/src/threadex.c|348|0x8 5|9|mozcrt19.dll|_threadstartex|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/memory/jemalloc/src/threadex.c|326|0x4 5|10|kernel32.dll||||0x44910 5|11|ntdll.dll||||0x3e4b5 5|12|ntdll.dll||||0x3e488 6|0|ntdll.dll||||0x59a94 6|1|kernel32.dll||||0x4c1b1 6|2|nspr4.dll|_PR_MD_WAIT_CV|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w95cv.c:3.5|280|0xd 6|3|nspr4.dll|_PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|204|0x1b 6|4|nspr4.dll|PR_Wait|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/prmon.c:3.6|175|0x13 6|5|xul.dll|nsThread::ProcessNextEvent(int,int *)|cvs:cvs.mozilla.org/cvsroot:mozilla/xpcom/threads/nsThread.cpp:1.71|501|0x8 6|6|xul.dll|NS_ProcessNextEvent_P(nsIThread *,int)|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/xpcom/build/nsThreadUtils.cpp|227|0xc 6|7|||||0x573fe7f 7|0|ntdll.dll||||0x59a94 7|1|kernel32.dll||||0x4c64d 7|2|xul.dll|nsDownloadScannerWatchdog::WatchdogThread(void *)|cvs:cvs.mozilla.org/cvsroot:mozilla/toolkit/components/downloads/src/nsDownloadScanner.cpp:1.20|879|0x1b 7|3|mozcrt19.dll|_callthreadstartex|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/memory/jemalloc/src/threadex.c|348|0x8 7|4|mozcrt19.dll|_threadstartex|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/memory/jemalloc/src/threadex.c|326|0x4 7|5|kernel32.dll||||0x44910 7|6|ntdll.dll||||0x3e4b5 7|7|ntdll.dll||||0x3e488 8|0|ntdll.dll||||0x59a94 8|1|kernel32.dll||||0x44910 8|2|ntdll.dll||||0x3e4b5 8|3|ntdll.dll||||0x3e488 9|0|ntdll.dll||||0x59a94 9|1|kernel32.dll||||0x4c1b1 9|2|NPSWF32.dll||||0x14ed01 9|3|ntdll.dll||||0x3e4b5 9|4|ntdll.dll||||0x3e488 10|0|ntdll.dll||||0x59a94 10|1|kernel32.dll||||0x4c1b1 10|2|NPSWF32.dll||||0x14ed01 10|3|ntdll.dll||||0x3e4b5 10|4|ntdll.dll||||0x3e488 11|0|ntdll.dll||||0x59a94 11|1|kernel32.dll||||0x44910 11|2|ntdll.dll||||0x3e4b5 11|3|ntdll.dll||||0x3e488 12|0|ntdll.dll||||0x59a94 12|1|wdmaud.drv||||0x4f1c 12|2|wdmaud.drv||||0x7e95 12|3|kernel32.dll||||0x44910 12|4|ntdll.dll||||0x3e4b5 12|5|ntdll.dll||||0x3e488 13|0|ntdll.dll||||0x59a94 13|1|kernel32.dll||||0x4c1b1 13|2|jvm.dll||||0x140108 14|0|ntdll.dll||||0x59a94 14|1|kernel32.dll||||0x4c1b1 14|2|jvm.dll||||0x14c53e 14|3|jvm.dll||||0x1859f6 15|0|ntdll.dll||||0x59a94 15|1|kernel32.dll||||0x4c1b1 15|2|jvm.dll||||0x14c53e 15|3|jvm.dll||||0x1859f6 16|0|ntdll.dll||||0x59a94 16|1|kernel32.dll||||0x4c1b1 16|2|jvm.dll||||0x14b456 16|3|jvm.dll||||0x14b506 16|4|msvcr71.dll||||0x9564 16|5|kernel32.dll||||0x44910 16|6|ntdll.dll||||0x3e4b5 16|7|ntdll.dll||||0x3e488 17|0|ntdll.dll||||0x59a94 17|1|kernel32.dll||||0x4c1b1 17|2|jvm.dll||||0x17cc9 18|0|ntdll.dll||||0x59a94 18|1|kernel32.dll||||0x4c1b1 18|2|jvm.dll||||0x140186 19|0|ntdll.dll||||0x59a94 19|1|kernel32.dll||||0x4c1b1 19|2|jvm.dll||||0x140108 20|0|ntdll.dll||||0x59a94 20|1|kernel32.dll||||0x1c79 20|2|jvm.dll||||0x14c137 21|0|ntdll.dll||||0x59a94 21|1|kernel32.dll||||0x4c1b1 21|2|jvm.dll||||0x14c53e 21|3|jvm.dll||||0x1859f6 22|0|ntdll.dll||||0x59a94 23|0|ntdll.dll||||0x59a94 23|1|kernel32.dll||||0x4c1b1 23|2|jvm.dll||||0x14c53e 23|3|jvm.dll||||0x1859f6 24|0|ntdll.dll||||0x59a94 24|1|kernel32.dll||||0x4c1b1 24|2|jvm.dll||||0x14c53e 24|3|jvm.dll||||0x1859f6 25|0|ntdll.dll||||0x59a94 25|1|jpishare.dll||||0x1d8d 25|2|kernel32.dll||||0x44910 25|3|ntdll.dll||||0x3e4b5 25|4|ntdll.dll||||0x3e488 26|0|ntdll.dll||||0x59a94 26|1|ole32.dll||||0x3ee1f 26|2|ole32.dll||||0x3aaa6 26|3|ole32.dll||||0x3a9e8 26|4|ole32.dll||||0x3e085 26|5|ole32.dll||||0x3e0e1 26|6|kernel32.dll||||0x44910 26|7|ntdll.dll||||0x3e4b5 26|8|ntdll.dll||||0x3e488 27|0|ntdll.dll||||0x59a94 27|1|winmm.dll||||0x1514 27|2|kernel32.dll||||0x44910 27|3|ntdll.dll||||0x3e4b5 27|4|ntdll.dll||||0x3e488 28|0|ntdll.dll||||0x59a94 28|1|mswsock.dll||||0x1fc7 28|2|ws2_32.dll||||0x1692 28|3|nspr4.dll|_PR_MD_PR_POLL|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w32poll.c:3.12|273|0xe 28|4|nspr4.dll|PR_Poll|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/io/prio.c:3.19|160|0x12 28|5|xul.dll|nsSocketTransportService::Poll(int,unsigned int *)|cvs:cvs.mozilla.org/cvsroot:mozilla/netwerk/base/src/nsSocketTransportService2.cpp:1.31|349|0xc 28|6|xul.dll|nsSocketTransportService::DoPollIteration(int)|cvs:cvs.mozilla.org/cvsroot:mozilla/netwerk/base/src/nsSocketTransportService2.cpp:1.31|644|0x10 28|7|xul.dll|nsSocketTransportService::OnProcessNextEvent(nsIThreadInternal *,int,unsigned int)|cvs:cvs.mozilla.org/cvsroot:mozilla/netwerk/base/src/nsSocketTransportService2.cpp:1.31|522|0xc 28|8|xul.dll|nsThread::ProcessNextEvent(int,int *)|cvs:cvs.mozilla.org/cvsroot:mozilla/xpcom/threads/nsThread.cpp:1.71|497|0x1 28|9|nspr4.dll|PR_Lock|||0x3 29|0|ntdll.dll||||0x59a94 29|1|rpcrt4.dll||||0x46fef 29|2|rpcrt4.dll||||0x4708f 29|3|rpcrt4.dll||||0x44f3f 29|4|rpcrt4.dll||||0x44f06 29|5|rpcrt4.dll||||0x44f6b 29|6|kernel32.dll||||0x44910 29|7|ntdll.dll||||0x3e4b5 29|8|ntdll.dll||||0x3e488 30|0|ntdll.dll||||0x59a94 30|1|kernel32.dll||||0x4c1b1 30|2|nspr4.dll|_PR_MD_WAIT_CV|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w95cv.c:3.5|280|0xd 30|3|nspr4.dll|_PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|204|0x1b 30|4|nspr4.dll|PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|551|0xa 30|5|xul.dll|nsHostResolver::GetHostToLookup(nsHostRecord * *)|cvs:cvs.mozilla.org/cvsroot:mozilla/netwerk/dns/src/nsHostResolver.cpp:1.23|595|0x12 30|6|xul.dll|nsHostResolver::ThreadFunc(void *)|cvs:cvs.mozilla.org/cvsroot:mozilla/netwerk/dns/src/nsHostResolver.cpp:1.23|690|0xa 30|7|nspr4.dll|_PR_NativeRunThread|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/pruthr.c:3.36|436|0x8 30|8|nspr4.dll|pr_root|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w95thred.c:3.17|122|0xc 30|9|mozcrt19.dll|_callthreadstartex|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/memory/jemalloc/src/threadex.c|348|0x8 30|10|mozcrt19.dll|_threadstartex|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/memory/jemalloc/src/threadex.c|326|0x4 30|11|kernel32.dll||||0x44910 30|12|ntdll.dll||||0x3e4b5 30|13|ntdll.dll||||0x3e488 31|0|ntdll.dll||||0x59a94 31|1|kernel32.dll||||0x4c1b1 31|2|nspr4.dll|_PR_MD_WAIT_CV|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/md/windows/w95cv.c:3.5|280|0xd 31|3|nspr4.dll|_PR_WaitCondVar|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/combined/prucv.c:3.8|204|0x1b 31|4|nspr4.dll|PR_Wait|cvs:cvs.mozilla.org/cvsroot:mozilla/nsprpub/pr/src/threads/prmon.c:3.6|175|0x13 31|5|xul.dll|nsThreadPool::Run()|cvs:cvs.mozilla.org/cvsroot:mozilla/xpcom/threads/nsThreadPool.cpp:3.1|200|0xf 31|6|xul.dll|nsThread::ProcessNextEvent(int,int *)|cvs:cvs.mozilla.org/cvsroot:mozilla/xpcom/threads/nsThread.cpp:1.71|510|0xf 31|7|xul.dll|NS_ProcessNextEvent_P(nsIThread *,int)|e:/fx19rel/winnt_5.2_depend/mozilla/obj-fx-trunk/xpcom/build/nsThreadUtils.cpp|227|0xc 31|8|||||0x1fdef77f 32|0|ntdll.dll||||0x59a94 32|1|kernel32.dll||||0x1c79 32|2|NPSWF32.dll||||0x14ed0e 33|0|ntdll.dll||||0x59a94 33|1|kernel32.dll||||0x4c1b1 33|2|NPSWF32.dll||||0x152d10
(Reporter)

Comment 30

9 years ago
From Today: July 30, 2009

Description:
  A problem caused this program to stop interacting with Windows.

Problem signature:
  Problem Event Name:	AppHangB1
  Application Name:	firefox.exe
  Application Version:	1.9.0.3474
  Application Timestamp:	4a524f7b
  Hang Signature:	4f20
  Hang Type:	0
  OS Version:	6.0.6001.2.1.0.768.3
  Locale ID:	1033
  Additional Hang Signature 1:	482414896e42334594c8a53b9b09e470
  Additional Hang Signature 2:	9726
  Additional Hang Signature 3:	046375c93ceb250dfe216a1739f952a5
  Additional Hang Signature 4:	4f20
  Additional Hang Signature 5:	482414896e42334594c8a53b9b09e470
  Additional Hang Signature 6:	9726
  Additional Hang Signature 7:	046375c93ceb250dfe216a1739f952a5

Read our privacy statement:
  http://go.microsoft.com/fwlink/?linkid=50163&clcid=0x0409
Oksana, those crash reports are useless, as they are windows error reports.
(Reporter)

Comment 32

9 years ago
useless, eh?.. Well, if it is the Firefox program that stops working on my windows operated machine... then, why would I continue using Firefox??

Comment 34

9 years ago
(In reply to comment #32)
> useless, eh?.. Well, if it is the Firefox program that stops working on my
> windows operated machine... then, why would I continue using Firefox??

Hey Oksana, calm down, buddy.  Tyler meant that those aren't useful for us to help analyze the crash and that pasting them into bugzilla comments is generally a bad idea as they are super long and make the bug very hard to follow.  If you (or someone else on this bug that can reproduce it) could follow the steps from the link in comment 33, and then add the resulting crash stack *as an attachment* on the bug, that'd be super super super useful.

Sorry for the misunderstanding.  We're all on the same side here, trying to get firefox to be less crashy.
(Reporter)

Comment 35

9 years ago
I just reproduced this issue on my friend's computer (windows vista), He's running Firefox .12. The crash happened at the browsing through myspace search results. See signature below. Nothing got recorded on the "about:crashes" page. [No crash reports have been submitted.]

Add-ons: {CAFEEFAC-0016-0000-0013-ABCDEFFEDCBA}:6.0.13,{B7082FAA-CB62-4872-9106-E42DD88EDE45}:2.8,{20a82645-c095-46ed-80e3-08825760534b}:1.1,{972ce4c6-7e08-4474-a285-3208198ce6fd}:3.0.12
BuildID: 2009070611
CrashTime: 1249511395
Email: 
InstallTime: 1248977647
ProductName: Firefox
SecondsSinceLastCrash: 10100608
StartupTime: 1248977649
Theme: classic/1.0
URL: http://searchservice.myspace.com/index.cfm?fuseaction=sitesearch.results&orig=search_Header&origpfc=ViewFriends&type=People&qry=Belly+Dance&submit=Search&searchid=c76adfaf-8693-4014-b094-be37f5931332&pg=3
Vendor: Mozilla
Version: 3.0.12

This report also contains technical information about the state of the application when it crashed.
(Reporter)

Comment 36

9 years ago
You guys, I don't have the time to reproduce and test every possible add-on (I don't really know much about add-ons). Or run every possible mode, or analyze v-hang... I am volunteering my time to help you document and fix this issue. It really needs to be FIXED!!!

Firefox just crashed again.
"There was a problem submitting my crash report", so it didn't get submitted to you or recorded in "about:crashes"...but here it is:

Add-ons: {CF40ACC5-E1BB-4aff-AC72-04C2F616BCA7}:1.5.2.35,{CAFEEFAC-0016-0000-0014-ABCDEFFEDCBA}:6.0.14,{635abd67-4fe9-1b23-4f01-e679fa7484c1}:1.5.1.20080205,{972ce4c6-7e08-4474-a285-3208198ce6fd}:3.0.13
BuildID: 2009073022
CrashTime: 1249524812
InstallTime: 1249439282
ProductName: Firefox
SecondsSinceLastCrash: 3187039
StartupTime: 1249522953
Theme: classic/1.0
URL: http://viewmorepics.myspace.com/index.cfm?fuseaction=user.editAlbumPhotos&albumID=1300094
Vendor: Mozilla
Version: 3.0.13

This report also contains technical information about the state of the application when it crashed.
Oksana, raising your temper and screaming "it needs to be FIXED!!" in here is not going to get your solution.  Yes, It is much appreciated that you are assisting your time and effort in helping us debug this problem.  But as you can see, attaching a bunch of signatures isnt going to solve this issue alone.   What we really need is a steady, reproducible scenario, where developers can hook in debugging and watch the crash take place.   A reduced testcase would be a big help.   I know you mentioned its hard to reproduce this regularly, but as clint mentioned earlier, we're here trying to work together to solve the same problem.  

Your efforts are important; just realize people work better together when they aren't feeling pressured or yelled at.
Please also download and install the new Flash version 10.0.32.18 which has been released last Friday if you haven't done it already. Eventually things have been changed: http://get.adobe.com/de/flashplayer/
(Reporter)

Comment 39

9 years ago
Please clarify: you don't need the crash reports I'm getting and have been posting here? I also noted that some of them do not get sent to you and not registering in the "about:crashes" page..

I just reproduced again yesterday with the new version 3.5.2.

I was under the impression that you can read from the crash report what happened, when, what web page caused it to crash and so on. If this is not the case, then why have them?

I wasn't yelling at all. I'm just trying to help. 
The steps are listed in the description of this ticket.

Steps:
1. Start Firefox, open multiple tabs (yahoo mail, google news, etc)
2. Go to Myspace page: myspace.com/ksenia_vesennaya
3. Hit play on Myspace music player (play list) or photo slide show
Note: the more songs you play, the worse the CPU usage gets

Result: Firefox hags taking up too much memory and CPU to do anything else
Example: Opening this bug after playing 3 songs on myspace in another tab took
2 minutes


Here is the crash report from August 7, 2009

Add-ons: {CF40ACC5-E1BB-4aff-AC72-04C2F616BCA7}:1.5.2.35,

{CAFEEFAC-0016-0000-0014-ABCDEFFEDCBA}:6.0.14,{635abd67-

4fe9-1b23-4f01-e679fa7484c1}:1.6.5.200812101546,{972ce4c6-

7e08-4474-a285-3208198ce6fd}:3.5.2
BuildID: 20090729225027
CrashTime: 1249697538
Email: kvartirka@yahoo.com
InstallTime: 1249591243
ProductName: Firefox
SecondsSinceLastCrash: 172726
StartupTime: 1249690579
Theme: classic/1.0
Throttleable: 1
URL: http://www.myspace.com/ksenia_vesennaya
Vendor: Mozilla
Version: 3.5.2

This report also contains technical information about the
state of the application when it crashed.

This report was not sent to Mozilla because of unknown issue. Said "There was a problem sending this report" - the feedback from the browser window. Above is a copy of the details.
Oksana, this crash is mostly related to the Flash plugin. Have you installed the new version which has been released a short while ago? I mentioned it in comment 38.

Crash reports are helpful but as long as they are not send to our server you do not have to add more of those local data. Further I hope that resending of not submitted crash reports will work soon.

Meanwhile please try the newest Flash versions which has a couple of bug fixes.

Further I think it's a good idea to also CC Michelle from the Adobe team.
(Reporter)

Comment 41

9 years ago
Ok, just installed new flash player (second time since this ticket got opened).
We'll report back ...

I don't know how to CC Michelle as I don't know anyone on anyone's team except for Tim and Stephen in QA.
thank you for retesting these tests with the new player.  Also, there's already a few adobe contacts on this thread, so any further investigation you find will be helpful with the latest version of flash.

i do recommend running no other addons or plugins (except for flash), this way we can eliminate any other noise to the problem.

Comment 43

9 years ago
The site:

http://www.myspace.com/ksenia_vesennaya

Has a very wild memory behavior. It is probably that fast switching album with the surrounding lights.

It is taking almost all virtual memory and when it is almost exhausted, then the memory usage suddenly drops to initial level. So, it is capable of cleaning up the memory, but somehow it is not doing that on time.

The 2 minutes delay Oksana is reporting, is because all other memory is swapped out.

Explanation for Oksana. The flash application is taking huge amounts of memory. When the computer can not hold in RAM (the chips) anymore it will save the memory to disk. Also memory of other programs, currently not running, are saved to disk. If then, you start doing something else, it may take 2 minutes to get all the memory on the right place again.

There is no need for clicking anything to see the memory behavior.

An experiment would be to keep the page open for a few hours, to see if it can crash on it.

The memory behavior on IE8 is similar.
Lucas, thank you very much for the investigations. And you are right. The memory increasing happens over time. That way I haven't recognized this problem. Now I run Shiretoko with the above mentioned website open for about half an hour and it crashed for me too. I'm building Shiretoko from source right now and will try to get the crash into the debugger later today. Meanwhile I will attach a minimized webpage which references the gallery player which is causing this problem.
Created attachment 393501 [details]
Minimized webpage
The stack really looks like that the crash is a result of the Flash player. I have installed the new version 10 r32.

(9c4.c88): Access violation - code c0000005 (first chance)
First chance exceptions are reported before any exception handling.
This exception may be expected and handled.
eax=00000000 ebx=00000004 ecx=1dd69060 edx=00000000 esi=00000000 edi=00000004
eip=09c583c6 esp=0012e704 ebp=11c8f4a0 iopl=0         nv up ei pl zr na pe nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00250246
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\Macromed\Flash\NPSWF32.dll - 
NPSWF32+0x83c6:
09c583c6 8b16            mov     edx,dword ptr [esi]  ds:0023:00000000=????????
0:000> kp
ChildEBP RetAddr  
WARNING: Stack unwind information not available. Following frames may be wrong.
0012e7ac 00290029 NPSWF32+0x83c6
0012e7ec 09c55458 xpcom_core!nsCOMPtr<nsISupportsWeakReference>::assign_assuming_AddRef(class nsISupportsWeakReference * newPtr = <Memory access error>)+0x59 [c:\mozilla\obj\shiretoko\dist\include\xpcom\nscomptr.h @ 496]
0012e8a4 09cc7d25 NPSWF32+0x5458
00000000 00000000 NPSWF32+0x77d25

Michelle, could the Adobe team have a look at this bug please? The only thing you would have to do is to open the minimized web page and leave the browser open for about 20-30 minutes. Thanks in advance!
A slightly different stack:

(c9c.568): Guard page violation - code 80000001 (first chance)
(c9c.568): Access violation - code c0000005 (first chance)
First chance exceptions are reported before any exception handling.
This exception may be expected and handled.
eax=00000000 ebx=00000004 ecx=193bb060 edx=00000000 esi=00000000 edi=00000004
eip=100083c6 esp=0012eb74 ebp=03d359e0 iopl=0         nv up ei pl zr na pe nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00250246
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\WINDOWS\system32\Macromed\Flash\NPSWF32.dll - 
NPSWF32+0x83c6:
100083c6 8b16            mov     edx,dword ptr [esi]  ds:0023:00000000=????????
0:000> kp
ChildEBP RetAddr  
WARNING: Stack unwind information not available. Following frames may be wrong.
0012ec44 100052f1 NPSWF32+0x83c6
0012ec5c 10005458 NPSWF32+0x52f1
0012ed28 1022f102 NPSWF32+0x5458
00000000 00000000 NPSWF32!native_ShockwaveFlash_TCallLabel+0xf3dcc
(Reporter)

Comment 48

9 years ago
Thank you, Lucas.. I didn't realize that you were expecting the crash to happen immediately after viewing the page... looks like we're making progress.

I have the following to report:
I have installed the latest flash player (10,0,32,18) and had another crash since then. This was after I uploaded a video to Youtube. The crash report did not get sent to Mozilla..

Question: Is there an existing bug for the crash reports not being sent to Mozilla? If so, can I have a bug #? I'd like to track it and get an idea when it will be fixed.
Depends on: 509560
(In reply to comment #48)
> I have installed the latest flash player (10,0,32,18) and had another crash
> since then. This was after I uploaded a video to Youtube. The crash report did
> not get sent to Mozilla..

For now we don't need any more comments which mention a crash. We have collected enough data now. Thanks Oksana.

> Question: Is there an existing bug for the crash reports not being sent to
> Mozilla? If so, can I have a bug #? I'd like to track it and get an idea when
> it will be fixed.

I have filed bug 509560.

Comment 50

9 years ago
I cannot reproduce this at all on my Window XP SP3 testing machine. FF 3.5.2 Flash Player 10.0.32.18.  I do see a very high memory footprint here with that slide show.  Maybe I need to try on a system with lower memory?

Comment 51

9 years ago
Okay I reproduced a crash at a different address "NPSWF32.dll@0x50cdd".  Playing the audio and while watching the playback of the photos seems to trigger it.  I'll log a bug here at Adobe.  I wish i could say for certain if its related but I cannot.
Charles, with my last run I need 3 cycles. The slide show filled-up my memory 3 times. Between it dropped back to normal memory usage. After the 3rd run (~20 minutes) it crashed when I clicked clicked around in the UI.
(Reporter)

Comment 53

9 years ago
FYI - I switched to IE 7.0.6 while you are fixing this and bug #508481. Firefox (3.5) is unusable for me at this point.

Comment 54

9 years ago
Oksana, the problem is in flash. When I load your page in IE, I see the same problematic behavior.

Lucas
(Reporter)

Comment 55

9 years ago
Yes, indeed (hence the title of this bug), and IE is not doing a perfect job either, but it's handing flash much better than Firefox.

Comment 56

9 years ago
WFM - I have no performance problem with flash Version: 10.0.32.18 and Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.3a1pre) Gecko/20090905 Minefield/3.7a1pre (.NET CLR 3.5.30729) on a dell latitude d531

Comment 57

9 years ago
(In reply to comment #17)
> Crash with scrolling in Flash is moved to:
> 
> bug 502648
> 
> Signature: NPSWF32.dll@0x50abd
I am trying to view this bug as I have a similar problem with flash crashing my firefox, the crash happens in both 3.0.13 and 3.5.3 running the latest version of the flash plugin.

However the bug says access denied, so I can't continue researching this issue.

Comment 58

9 years ago
(In reply to comment #57)
> I am trying to view this bug as I have a similar problem with flash crashing my
> firefox, the crash happens in both 3.0.13 and 3.5.3 running the latest version
> of the flash plugin.
> 
> However the bug says access denied, so I can't continue researching this issue.

That means the bug is security related and the bug won't be opened for public viewing until it has been fixed and I believe a version including the fix is released.

Comment 59

9 years ago
(In reply to comment #58)
> I believe a version including the fix is released.

Sorry for the bugspam but that might be worded wrong.  I meant to write it as, I believe also until a version including the fix is released.

Comment 60

9 years ago
Philip, I have added you to bug 502648. The security flag on 502648 is probably a mistake.

Comment 61

9 years ago
Strange...I cannot reproduce this now.  Maybe the media for the slide show was improved?
(Reporter)

Comment 62

9 years ago
Hello Charles, If you cannot reproduce it, this would be due to the media in the slide show being changed (decreased in number) rather than improved. I also down sized the play list. It now only has 2 songs. I waited for 2 months before making any changes to this page, but since this is my current profile the changes would be inevitable.. sorry if this leaves you without the test case, but it looks like it is well documented up to this point...

Comment 63

9 years ago
Hi Oksana,

I would love to nail this one down so if it comes back for you let me know.  Crashing issues can sometimes be fixed by other changes.  I'd prefer to reproduce it so we can fix it.   I'm happy to look at your pictures all day but still need the crash :)
(Reporter)

Comment 64

9 years ago
Hi Charles, thanks for revisiting this. But I have not used Mozilla since August. I switched to IE and Chrome. They seemed to handle the flash content just fine. This bug is also depends on #509560 which looks like it is still "new" and "open", so I don't think it makes sense for me to test again if the crash reports don't get sent. So let me know how I can help.

and you are too kind :)

Comment 65

9 years ago
I have also trouble with some Flash ad's on some pages.
On mail of Yahoo, I have a Heineken ad in Dutch, that 
eats memory. If I keep Firefox open, when that ad is
displayed, I get the a typical eaten memory behavior 
for my PC (It recovers after lots of hard disk access
and time).

Is there an easy way to isolate such ad for further
investigation?

Anyways, I get the impression that the garbage collection
of Flash could be improved.

Lucas
Lucas, what happens when you save as complete web page? Gets the full ad downloaded to your disk or only the player which will load remote content itself? If it is the former case we should be lucky to create a minimized testcase which could help us for further investigations. I have checked all the ads we get in Germany but none of those shows a similar behavior. Would be great if you could come up with at least a testcase.

Comment 67

9 years ago
After some reloads, I have the ad now on my screen. I will try to save it, but I doubt it will work, because these things are selected from a pool of ad's.
Maybe I can get it with Firebug.

Any other suggestion how to isolate this?

It would be great if there is some kind of plugin for this.

Lucas

Comment 68

9 years ago
Created attachment 408369 [details]
Heineken Ad eating memory

Finally, I got it isolated. When I monitor memory usage, I see it growing, although sometimes it stabilizes and goes down again. However, it keeps setting new memory record, when you long enough.

It also takes 100% CPU, so maybe, the Garbage Collector doesn't get time.

Lucas
Opening the testcase doesn't show me any abnormal behavior. The memory stays nearly constant and doesn't increase/decrease. Just to confirm you are seeing the Heineken advertisement and it happens for you by just open the attachment on Windows?

Comment 70

9 years ago
Yes, I see this behavior when I open the ad only. I suggest to see the ad, with a fresh started Firefox.

Is use FF 3.5, Windows XP and latest Flash.

I am quite sure (99%) that this is the ad, that made my computer memory hungry, when I left it for a few hours. Taking minutes to get everything swapped in again.

I suggest, to open the ad in your browser when you go for lunch.

Other suggestion, is to open it in 10 tabs (I have not tried that yet).

Lucas

Comment 71

9 years ago
Did the ad take 100% CPU on your computer (my computer is a little bit outdated now). Maybe, due to the high CPU load, the garbage collector does not got enough time. On a faster computer, it might get under the 100% CPU and the GC does get time.
It's around 40% cpu load but definitely not 100% on my box. The memory usage with one tab open isn't more than 90MB. There is a increasing while loading the testcase but it's constant afterward. I believe you have the latest version of Flash installed?

Comment 73

9 years ago
Yes, I have the latest flash. Maybe, the problem is with 100% CPU load. I will try another ad (with animation), and loading it 10 times to see if I get similar behavior.

Note, it might take a while, before the memory increases again.

Updated

9 years ago
Component: Plug-ins → Flash (Adobe)
Product: Core → Plugins
QA Contact: plugins → adobe-flash
Version: 1.9.0 Branch → unspecified
(Assignee)

Updated

7 years ago
Crash Signature: [@ NPSWF32.dll@0x1b9cf9]

Comment 74

7 years ago
Reporter, are you able to reproduce that crash?
Can you provide a recent crash report?

Comment 75

7 years ago
there were significant changes to the garbage collection in Flash Player 10.3.  it's quite possible this issue is no longer a problem for 10.3+...

Comment 76

2 years ago
I'm closing a lot of bugs which are filed as Adobe Flash bugs which are either irrelevant, not actionable, or not serious enough to track in the Mozilla bug tracker. For the most part, Flash bugs should be filed in Adobe bugbase, and we'll only track a few highly-critical issues in the Mozilla tracker.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.